.ied__sale_banner {
    height: auto;
    padding-bottom: 60px;
    background: #fefcff url(./banner_bg.jpg) center bottom no-repeat;
}
.ied__sale_banner .banner_title {
    padding-top: 0px;
    height: auto;
    text-indent: 0;
    background: none;
    text-align: center;
}
.ied__sale_banner .banner_title > img {
    display: inline-block;
    vertical-align: top;
    width: auto;
    max-width: none;
    margin: -12px 0px 6px 0px;
    position: relative;
    left: 50px;
}
.ied__sale_banner .banner_desc span {
    color: #6615ff;
    font: inherit;
}
.ied__sale_offer {
    margin: 72px auto 20px;
}
.ied__sale_offer .sale_reduce {
    background: #ffe357;
}
.ied__sale_offer .offer_item {
    border-color: #e6ceff;
}
.ied__sale_offer .offer_item::after {
    background: rgba(243, 74, 255, 0.5);
    opacity: 1;
    filter: blur(28px);
}
.ied__sale_offer .offer_head {
    background: transparent linear-gradient(90deg, #824cfc 0%, #d54abf 50%, #ff4b5f 100%) 0% 0% no-repeat padding-box;
}
.ied__sale_offer .current_sale {
    min-width: 374px;
    background: #fff;
    border: 2px solid #ffc31e;
}
.ied__sale_offer .current_sale .offer_discount {
    margin-top: 18px;
    margin-bottom: 36px;
    color: #ff0000;
    background: #fff2c5;
    border: 1px solid #ffc31e;
    padding-left: 36px;
    background: transparent linear-gradient(88deg, #ffe353 0%, #fff4b5 100%) 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 0px #9f194c45;
}
.ied__sale_offer .current_sale .offer_head {
    height: 44px;
}
.ied__sale_offer .current_sale .offer_body {
    padding-bottom: 56px;
}
.ied__sale_offer .current_sale .offer_price {
    padding-bottom: 22px;
}
.ied__sale_offer .current_sale .offer_price strong {
    color: #ff0000;
}
.ied__sale_offer .offer_name {
    color: #fff;
    font: 600 20px/1.2 var(--family);
}
.ied__sale_offer .offer_discount {
    padding: 3px 22px 0;
    font-size: 18px;
    font-weight: 600;
    min-width: 0;
    width: max-content;
    color: #e47450;
    background: transparent linear-gradient(90deg, #fff1a4 0%, #fff7c9 100%) 0% 0% no-repeat padding-box;
}
.ied__sale_offer .offer_price {
    padding-bottom: 22px;
}
.ied__sale_offer .offer_price strong {
    color: #170202;
    font: 700 20px/1.2 var(--family);
}
.ied__sale_offer .offer_price strong big {
    color: inherit;
    font: 700 40px/1.2 var(--family);
}
.ied__sale_offer .offer_price del {
    display: block;
    color: #606060;
    opacity: 0.7;
    font: 500 16px/1.2 var(--family);
}
.ied__sale_offer .offer_desc {
    color: #606060;
    font: 500 14px/1.2 var(--family);
}
.ied__sale_offer .sale_btn {
    margin: 8px auto 26px;
}
.ied__sale_offer .one_time {
    color: #606060;
    font: 500 14px/1.2 var(--family);
}
.ied__sale_offer .one_time span {
    font: inherit;
    color: inherit;
}
.ied_sale {
    --familySale: "League Spartan", Arial, "Microsoft Yahei", sans-serif;
    --familyPaytone: "Paytone One", Arial, "Microsoft Yahei", sans-serif;
}
.ied_sale .sale_btn {
    max-width: none;
    width: max-content;
    color: #df9f3f;
    font-size: 20px;
    background: #fff7de;
    border-color: rgba(223, 159, 63, 0.5);
    border-radius: 9999px;
    overflow: hidden;
}
.ied_sale .sale_btn .btn_svg {
    display: none;
    position: absolute;
    top: -6px;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 0;
    width: 100%;
    height: 100%;
}
.ied_sale .sale_btn .btn_svg rect {
    display: block;
    width: 100%;
    height: 100%;
}
.ied_sale .sale_btn.btn_current {
    min-width: 100%;
    padding-top: 4px;
    color: #fff;
    font-size: 22px;
    background: transparent radial-gradient(closest-side at 52% 0%, #ffce48 0%, #fe2424 100%) 0% 0% no-repeat
        padding-box;
    box-shadow: 0px 10px 20px #ffd153;
    border: 2px solid #ffef9e;
}
.ied_sale .sale_btn.btn_current .btn_svg {
    display: block;
}
.ied_sale .sale_btn.btn_current:hover {
    color: #fff;
    background: transparent radial-gradient(closest-side at 52% 0%, #ffc673 0%, #fe4430 100%) 0% 0% no-repeat
        padding-box;
    box-shadow: 0px 10px 20px #ffd153;
    border: 2px solid #ffef9e;
    transition: transform 0.3s ease;
}
.ied_sale .sale_btn.btn_current:hover .btn_svg {
    display: block;
}
.ied_sale .sale_btn.btn_current:hover .btn_svg rect {
    fill: url(#btn-radial-gradient2) !important;
}
.ied_sale .sale_btn:hover {
    color: #fff;
    background: transparent radial-gradient(closest-side at 52% 0%, #ffdc7e 0%, #fe2c24 100%) 0% 0% no-repeat
        padding-box;
    border-color: #ffef9e;
}
.ied_sale .sale_btn:hover .btn_svg {
    display: block;
}
.ied_sale .comm-popup-bg {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.82);
    left: 0;
    top: 0;
    opacity: 0;
    transition: all ease 0.3s;
    z-index: -99999;
    display: block !important;
}
.ied_sale .comm-popup-bg.comm-on,
.ied_sale .comm-popup-bg.comm_on {
    opacity: 1;
    z-index: 99999;
}
.ied_sale .comm-popup {
    width: 781px;
    height: 573px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -100000;
    margin: auto;
    transition: all ease 0.3s;
    opacity: 0;
    transform: scale(0.1);
    display: block !important;
    text-align: center;
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url(./pop_bg.png);
}
.ied_sale .comm-popup.comm-on,
.ied_sale .comm-popup.comm_on {
    z-index: 100000;
    opacity: 1;
    transform: scale(1);
}
.ied_sale .comm-popup .comm-close {
    position: absolute;
    top: 30%;
    right: 42px;
    z-index: 9;
    width: 24px;
    height: 24px;
    cursor: pointer;
    opacity: 0.8;
}
.ied_sale .comm-popup .comm-close.close_line {
    top: 38px;
    right: 38px;
    opacity: 0.55;
    width: 20px;
    height: 20px;
    text-indent: 0;
}
.ied_sale .comm-popup .comm-close.close_line::before,
.ied_sale .comm-popup .comm-close.close_line::after {
    content: "";
    display: block;
    position: absolute;
    top: 8px;
    left: 2px;
    width: 16px;
    height: 3px;
    background: #fff;
    transform: rotate(45deg);
    border-radius: 9999px;
}
.ied_sale .comm-popup .comm-close.close_line::after {
    transform: rotate(-45deg);
}
.ied_sale .comm-popup .comm-close svg {
    display: block;
    pointer-events: none;
    width: inherit;
    height: inherit;
    fill: #fff;
}
.ied_sale .comm-popup .comm-close:hover {
    opacity: 1;
}
.ied_sale .comm-popup .pop_inner {
    position: relative;
    margin: 92px 0 0 82px;
    width: 632px;
    height: 394px;
}
.ied_sale .comm-popup .pop_title {
    padding: 0px;
    margin-bottom: -30px;
    text-align: center;
    font: normal normal normal 28px/1 var(--familyPaytone);
    color: #fff348;
    text-shadow: 0px 3px 6px #ab138d;
    transform: translateY(-20px);
}
.ied_sale .comm-popup .pop_title b {
    font: inherit;
    color: #f0491a;
    font-weight: 700;
}
.ied_sale .comm-popup .pop_desc {
    padding-bottom: 0px;
    font: normal normal 500 22px/1.5 var(--familySale);
    color: #fff;
}
.ied_sale .comm-popup .pop_desc b {
    font: normal normal 700 34px/1.5 var(--familySale);
    color: #fff348;
    text-shadow: 0px 3px 6px #b800cc;
}
.ied_sale .comm-popup .pop_offer {
    align-items: flex-end;
    margin: 48px auto 38px;
    gap: 16px;
    transform: translateX(0px);
}
.ied_sale .comm-popup .pop_item {
    padding: 20px;
    background: transparent linear-gradient(146deg, #fff 0%, #e5bfff 100%) 0% 0% no-repeat padding-box;
    border: 1px dashed #ffacb8;
    border-radius: 10px;
}
.ied_sale .comm-popup .pop_current {
    margin-top: -40px;
    min-width: 196px;
    min-height: 206px;
    transform: translateX(0px);
    padding: 6px 22px;
    border: none;
    background: #fff;
    box-shadow: 0px 4px 10px #790498;
    border-radius: 10px;
    transform-style: preserve-3d;
}
.ied_sale .comm-popup .pop_current::before {
    content: "";
    display: block;
    position: absolute;
    top: -10px;
    left: -10px;
    width: calc(100% + 16px);
    height: calc(100% + 16px);
    transform: translateZ(-1px);
    box-shadow: 0px 3px 11px #ff8622;
    border: 2px solid #ffd23d;
    border-radius: 13px;
}
.ied_sale .comm-popup .pop_current::after {
    top: 46%;
    left: -62px;
    width: 106px;
    height: 87px;
    background: url(../pop_up_icon.svg) center center no-repeat;
}
.ied_sale .comm-popup .pop_current .pop_name,
.ied_sale .comm-popup .pop_current .pop_device {
    font-size: 22px;
}
.ied_sale .comm-popup .pop_current .pop_device {
    font-size: 18px;
}
.ied_sale .comm-popup .pop_current .pop_sale {
    color: #fe1c3b;
}
.ied_sale .comm-popup .pop_current .pop_sale strong {
    font-size: 48px;
}
.ied_sale .comm-popup .pop_current .pop_original {
    margin-top: -6px;
    color: #8d8d8d;
}
.ied_sale .comm-popup .pop_discount {
    margin-top: -16px;
    padding-right: 0px;
    align-items: stretch;
    width: max-content;
    height: 26px;
    background: none;
    border-radius: 0;
    gap: 0px;
}
.ied_sale .comm-popup .pop_discount b {
    padding: 3px 10px 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #f7ff00;
    background: #8e2bff;
}
.ied_sale .comm-popup .pop_discount .pop_vip {
    padding-top: 3px;
    color: #4d3636;
    border-radius: 0;
    background: #faccff;
}
.ied_sale .comm-popup .pop_top {
    position: relative;
    border-bottom: none;
    transform-style: preserve-3d;
}
.ied_sale .comm-popup .pop_top::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: -1px;
    width: 100%;
    height: 2px;
    background: linear-gradient(to left, transparent 0%, transparent 50%, #f29900 50%, #f29900 100%);
    background-size: 12px 1px;
    background-repeat: repeat-x;
    transform: translateZ(-1px);
}
.ied_sale .comm-popup .pop_name,
.ied_sale .comm-popup .pop_device {
    font-size: 18px;
}
.ied_sale .comm-popup .pop_device {
    color: #bc6725;
}
.ied_sale .comm-popup .pop_sale {
    padding: 15px 0 0px;
    color: #fe1c3b;
    font-size: 20px;
}
.ied_sale .comm-popup .pop_sale strong {
    font-size: 38px;
}
.ied_sale .comm-popup .pop_original {
    color: #be9cd5;
    font-weight: 400;
    font-size: 20px;
}
.ied_sale .comm-popup .pop_btn {
    min-width: 270px;
}
.ied_sale .comm-popup .pop_btn b {
    display: block;
    position: relative;
    z-index: 1;
}
.ied_sale .comm-popup .pop_btn em {
    display: inline-block;
    font: inherit;
    color: inherit;
    font-style: normal;
}
